#import <appkit/appkit.h>
#import "PlayerSpeaker.h"
#import <mach.h>
#import <sys/message.h>
#import <servers/netname.h>
extern port_t name_server_port;
extern id NXResponsibleDelegate();
@implementation  PlayerSpeaker :Speaker
{}
-(int)remotePlayGameWith : (char *) opponentName
	atHost : (char *) opponentHost
	myPullCard : (int) mypull
	myPushCard : (int) mypush
	hisPullCard : (int) hispull
	hisPushCard : (int) hispush
/* */
{
return [self selectorRPC:"remotePlayGameWith:atHost:myPullCard:myPushCard:hisPullCard:hisPushCard:"
	paramTypes:"cciiii",
		opponentName,
		opponentHost,
		mypull,
		mypush,
		hispull,
		hispush];
}
-(int)remotePlayRandomGameWith : (char *) opponentName
	atHost : (char *) opponentHost
	myPullCard : (int) mypull
	myPushCard : (int) mypush
	hisPullCard : (int) hispull
	hisPushCard : (int) hispush
/* */
{
return [self selectorRPC:"remotePlayRandomGameWith:atHost:myPullCard:myPushCard:hisPullCard:hisPushCard:"
	paramTypes:"cciiii",
		opponentName,
		opponentHost,
		mypull,
		mypush,
		hispull,
		hispush];
}
-(int)remoteReportGameInfoFrom : (int) num
	side1 : (int) s1
	side2 : (int) s2
	push1 : (int) ps1
	pull1 : (int) pl1
	push2 : (int) ps2
	pull2 : (int) pl2
	choice1 : (int) ch1
	choice2 : (int) ch2
	payoff : (int) pay
/* */
{
return [self selectorRPC:"remoteReportGameInfoFrom:side1:side2:push1:pull1:push2:pull2:choice1:choice2:payoff:"
	paramTypes:"iiiiiiiiii",
		num,
		s1,
		s2,
		ps1,
		pl1,
		ps2,
		pl2,
		ch1,
		ch2,
		pay];
}
-(int)remoteComputePayoffs
/* */
{
return [self selectorRPC:"remoteComputePayoffs"
	paramTypes:""];
}
-(int)remoteCheckInPlayer : (char *) name
	atHost : (char *) host
/* */
{
return [self selectorRPC:"remoteCheckInPlayer:atHost:"
	paramTypes:"cc",
		name,
		host];
}
-(int)remoteMySidePaymentIs : (int) sidePayment
/* */
{
return [self selectorRPC:"remoteMySidePaymentIs:"
	paramTypes:"i",
		sidePayment];
}
-(int)remoteMyChoiceIs : (int) choice
/* */
{
return [self selectorRPC:"remoteMyChoiceIs:"
	paramTypes:"i",
		choice];
}
-(int)remotePlayerNumberIs : (int) num
/* */
{
return [self selectorRPC:"remotePlayerNumberIs:"
	paramTypes:"i",
		num];
}
-(int)remoteReportChoiceBy : (int) playerNum
	cardPlayed : (int) hisChoice
/* */
{
return [self selectorRPC:"remoteReportChoiceBy:cardPlayed:"
	paramTypes:"ii",
		playerNum,
		hisChoice];
}
-(int)remoteReportPaymentBy : (int) playerNum
	amount : (int) sidePayment
/* */
{
return [self selectorRPC:"remoteReportPaymentBy:amount:"
	paramTypes:"ii",
		playerNum,
		sidePayment];
}
-(int)remoteStartPhaseTwo
/* */
{
return [self selectorRPC:"remoteStartPhaseTwo"
	paramTypes:""];
}
-(int)remoteReportPlayerInfo : (int) num
	Name : (char *) str1
	Phone : (char *) str2
	SS : (char *) str3
/* */
{
return [self selectorRPC:"remoteReportPlayerInfo:Name:Phone:SS:"
	paramTypes:"iccc",
		num,
		str1,
		str2,
		str3];
}
-(int)remoteGameIsOver
/* */
{
return [self selectorRPC:"remoteGameIsOver"
	paramTypes:""];
}
-(int)remotePlayerReset
/* */
{
return [self selectorRPC:"remotePlayerReset"
	paramTypes:""];
}
-(int)remoteNudge
/* */
{
return [self selectorRPC:"remoteNudge"
	paramTypes:""];
}
@end
